import { IColorPaletteTheme } from '@uifabric/example-app-base/lib/index2';

export const SharePointThemes: IColorPaletteTheme[] = [
  {
    name: 'Blue',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#004578',
        code: {
          core: '$ms-color-communicationShade30',
          react: 'CommunicationColors.shade30'
        }
      },
      {
        name: 'themeDark',
        hex: '#005a9e',
        code: {
          core: '$ms-color-communicationShade20',
          react: 'CommunicationColors.shade20'
        }
      },
      {
        name: 'themeDarkAlt',
        hex: '#106ebe',
        code: {
          core: '$ms-color-communicationShade10',
          react: 'CommunicationColors.shade10'
        }
      },
      {
        name: 'themePrimary',
        hex: '#0078d4',
        code: {
          core: '$ms-color-communicationPrimary',
          react: 'CommunicationColors.primary'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#2b88d8',
        code: {
          core: '$ms-color-communicationTint10',
          react: 'CommunicationColors.tint10'
        }
      },
      {
        name: 'themeTertiary',
        hex: '#71afe5'
      },
      {
        name: 'themeLight',
        hex: '#c7e0f4',
        code: {
          core: '$ms-color-communicationTint20',
          react: 'CommunicationColors.tint20'
        }
      },
      {
        name: 'themeLighter',
        hex: '#deecf9',
        code: {
          core: '$ms-color-communicationTint30',
          react: 'CommunicationColors.tint30'
        }
      },
      {
        name: 'themeLighterAlt',
        hex: '#eff6fc',
        code: {
          core: '$ms-color-communicationTint40',
          react: 'CommunicationColors.tint40'
        }
      },
      {
        name: 'background',
        hex: '#ffffff',
        code: {
          core: '$ms-color-white',
          react: 'NeutralColors.white'
        }
      }
    ]
  },
  {
    name: 'Red',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#5b1519'
      },
      {
        name: 'themeDark',
        hex: '#7c1d21'
      },
      {
        name: 'themeDarkAlt',
        hex: '#932227'
      },
      {
        name: 'themePrimary',
        hex: '#a4262c',
        code: {
          core: '$ms-color-sharedRed20',
          react: 'SharedColors.red20'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#ae383e'
      },
      {
        name: 'themeTertiary',
        hex: '#c86c70'
      },
      {
        name: 'themeLight',
        hex: '#e3afb2'
      },
      {
        name: 'themeLighter',
        hex: '#f0d3d4'
      },
      {
        name: 'themeLighterAlt',
        hex: '#fbf4f4'
      },
      {
        name: 'background',
        hex: '#ffffff'
      }
    ]
  },
  {
    name: 'Orange',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#712d09'
      },
      {
        name: 'themeDark',
        hex: '#993e0c'
      },
      {
        name: 'themeDarkAlt',
        hex: '#b5490f'
      },
      {
        name: 'themePrimary',
        hex: '#ca5010',
        code: {
          core: '$ms-color-sharedOrange20',
          react: 'SharedColors.orange20'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#d06228'
      },
      {
        name: 'themeTertiary',
        hex: '#df8f64'
      },
      {
        name: 'themeLight',
        hex: '#efc4ad'
      },
      {
        name: 'themeLighter',
        hex: '#f6dfd2'
      },
      {
        name: 'themeLighterAlt',
        hex: '#fdf7f4'
      },
      {
        name: 'background',
        hex: '#ffffff'
      }
    ]
  },
  {
    name: 'Gold',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#563f06'
      },
      {
        name: 'themeDark',
        hex: '#745608'
      },
      {
        name: 'themeDarkAlt',
        hex: '#8a650a'
      },
      {
        name: 'themePrimary',
        hex: '#986f0b',
        code: {
          core: '$ms-color-sharedOrangeYellow20',
          react: 'SharedColors.orangeYellow20'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#a57f1e'
      },
      {
        name: 'themeTertiary',
        hex: '#c2a356'
      },
      {
        name: 'themeLight',
        hex: '#e0cfa2'
      },
      {
        name: 'themeLighter',
        hex: '#efe5cb'
      },
      {
        name: 'themeLighterAlt',
        hex: '#fbf8f2'
      },
      {
        name: 'background',
        hex: '#ffffff'
      }
    ]
  },
  {
    name: 'Green',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#294903'
      },
      {
        name: 'themeDark',
        hex: '#386304'
      },
      {
        name: 'themeDarkAlt',
        hex: '#427505'
      },
      {
        name: 'themePrimary',
        hex: '#498205',
        code: {
          core: '$ms-color-sharedGreen10',
          react: 'SharedColors.green10'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#5a9117'
      },
      {
        name: 'themeTertiary',
        hex: '#85b44c'
      },
      {
        name: 'themeLight',
        hex: '#bdda9b'
      },
      {
        name: 'themeLighter',
        hex: '#dbebc7'
      },
      {
        name: 'themeLighterAlt',
        hex: '#f6faf0'
      },
      {
        name: 'background',
        hex: '#ffffff'
      }
    ]
  },
  {
    name: 'Teal',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#02494c'
      },
      {
        name: 'themeDark',
        hex: '#026367'
      },
      {
        name: 'themeDarkAlt',
        hex: '#02767a'
      },
      {
        name: 'themePrimary',
        hex: '#038387',
        code: {
          core: '$ms-color-sharedCyan20',
          react: 'SharedColors.cyan20'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#159196'
      },
      {
        name: 'themeTertiary',
        hex: '#4bb4b7'
      },
      {
        name: 'themeLight',
        hex: '#9bd9db'
      },
      {
        name: 'themeLighter',
        hex: '#c7ebec'
      },
      {
        name: 'themeLighterAlt',
        hex: '#f0fafa'
      },
      {
        name: 'background',
        hex: '#ffffff'
      }
    ]
  },
  {
    name: 'Dark Blue',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#002b4f'
      },
      {
        name: 'themeDark',
        hex: '#003b6b'
      },
      {
        name: 'themeDarkAlt',
        hex: '#00457e'
      },
      {
        name: 'themePrimary',
        hex: '#004e8c',
        code: {
          core: '$ms-color-sharedCyanBlue20',
          react: 'SharedColors.cyanBlue20'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#125d9a'
      },
      {
        name: 'themeTertiary',
        hex: '#4a88ba'
      },
      {
        name: 'themeLight',
        hex: '#9abfdd'
      },
      {
        name: 'themeLighter',
        hex: '#c7dced'
      },
      {
        name: 'themeLighterAlt',
        hex: '#f0f6fa'
      },
      {
        name: 'background',
        hex: '#ffffff'
      }
    ]
  },
  {
    name: 'Indigo',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#2c3c85'
      },
      {
        name: 'themeDark',
        hex: '#3b52b4'
      },
      {
        name: 'themeDarkAlt',
        hex: '#4661d5'
      },
      {
        name: 'themePrimary',
        hex: '#4f6bed',
        code: {
          core: '$ms-color-sharedBlue10',
          react: 'SharedColors.blue10'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#627cef'
      },
      {
        name: 'themeTertiary',
        hex: '#92a4f4'
      },
      {
        name: 'themeLight',
        hex: '#c7d1fa'
      },
      {
        name: 'themeLighter',
        hex: '#e1e6fc'
      },
      {
        name: 'themeLighterAlt',
        hex: '#f7f9fe'
      },
      {
        name: 'background',
        hex: '#ffffff'
      }
    ]
  },
  {
    name: 'Plum',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#4d0d56'
      },
      {
        name: 'themeDark',
        hex: '#691174'
      },
      {
        name: 'themeDarkAlt',
        hex: '#7c158a'
      },
      {
        name: 'themePrimary',
        hex: '#881798',
        code: {
          core: '$ms-color-sharedMagenta20',
          react: 'SharedColors.magenta20'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#972aa5'
      },
      {
        name: 'themeTertiary',
        hex: '#b65fc2'
      },
      {
        name: 'themeLight',
        hex: '#daa7e0'
      },
      {
        name: 'themeLighter',
        hex: '#ebceef'
      },
      {
        name: 'themeLighterAlt',
        hex: '#faf2fb'
      },
      {
        name: 'background',
        hex: '#ffffff'
      }
    ]
  },
  {
    name: 'Purple',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#4b3867'
      },
      {
        name: 'themeDark',
        hex: '#664b8c'
      },
      {
        name: 'themeDarkAlt',
        hex: '#7959a5'
      },
      {
        name: 'themePrimary',
        hex: '#8764b8',
        code: {
          core: '$ms-color-sharedBlueMagenta20',
          react: 'SharedColors.blueMagenta20'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#9372c0'
      },
      {
        name: 'themeTertiary',
        hex: '#b29ad4'
      },
      {
        name: 'themeLight',
        hex: '#d7c9ea'
      },
      {
        name: 'themeLighter',
        hex: '#e9e2f4'
      },
      {
        name: 'themeLighterAlt',
        hex: '#f9f8fc'
      },
      {
        name: 'background',
        hex: '#ffffff'
      }
    ]
  },
  {
    name: 'Warm Gray',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#454241'
      },
      {
        name: 'themeDark',
        hex: '#5d5958'
      },
      {
        name: 'themeDarkAlt',
        hex: '#6e6a69'
      },
      {
        name: 'themePrimary',
        hex: '#7a7574',
        code: {
          core: '$ms-color-sharedGray30',
          react: 'SharedColors.gray30'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#8a8584'
      },
      {
        name: 'themeTertiary',
        hex: '#afabaa'
      },
      {
        name: 'themeLight',
        hex: '#d7d5d4'
      },
      {
        name: 'themeLighter',
        hex: '#eae8e8'
      },
      {
        name: 'themeLighterAlt',
        hex: '#faf9f9'
      },
      {
        name: 'background',
        hex: '#ffffff'
      }
    ]
  },
  {
    name: 'Cool Gray',
    background: 'light',
    colors: [
      {
        name: 'themeDarker',
        hex: '#4a4346'
      },
      {
        name: 'themeDark',
        hex: '#4f5b5f'
      },
      {
        name: 'themeDarkAlt',
        hex: '#5d6c70'
      },
      {
        name: 'themePrimary',
        hex: '#69797e',
        code: {
          core: '$ms-color-sharedGray20',
          react: 'SharedColors.gray20'
        }
      },
      {
        name: 'themeSecondary',
        hex: '#78888d'
      },
      {
        name: 'themeTertiary',
        hex: '#9fadb1'
      },
      {
        name: 'themeLight',
        hex: '#cdd5d8'
      },
      {
        name: 'themeLighter',
        hex: '#e4e9ea'
      },
      {
        name: 'themeLighterAlt',
        hex: '#f8f9fa'
      },
      {
        name: 'background',
        hex: '#ffffff'
      }
    ]
  },
  {
    name: 'Red (Dark)',
    background: 'dark',
    colors: [
      {
        name: 'themeDarker',
        hex: '#f6a89a'
      },
      {
        name: 'themeDark',
        hex: '#f38a77'
      },
      {
        name: 'themeDarkAlt',
        hex: '#f17660'
      },
      {
        name: 'themePrimary',
        hex: '#ef6950'
      },
      {
        name: 'themeSecondary',
        hex: '#d35b46'
      },
      {
        name: 'themeTertiary',
        hex: '#903e2f'
      },
      {
        name: 'themeLight',
        hex: '#481f18'
      },
      {
        name: 'themeLighter',
        hex: '#26110d'
      },
      {
        name: 'themeLighterAlt',
        hex: '#0a0403'
      },
      {
        name: 'background',
        hex: '#252423'
      }
    ]
  },
  {
    name: 'Yellow (Dark)',
    background: 'dark',
    colors: [
      {
        name: 'themeDarker',
        hex: '#ffe092'
      },
      {
        name: 'themeDark',
        hex: '#ffd56c'
      },
      {
        name: 'themeDarkAlt',
        hex: '#ffce51'
      },
      {
        name: 'themePrimary',
        hex: '#ffc83d'
      },
      {
        name: 'themeSecondary',
        hex: '#e0b036'
      },
      {
        name: 'themeTertiary',
        hex: '#997825'
      },
      {
        name: 'themeLight',
        hex: '#4d3c12'
      },
      {
        name: 'themeLighter',
        hex: '#29200a'
      },
      {
        name: 'themeLighterAlt',
        hex: '#0a0802'
      },
      {
        name: 'background',
        hex: '#252423'
      }
    ]
  },
  {
    name: 'Green (Dark)',
    background: 'dark',
    colors: [
      {
        name: 'themeDarker',
        hex: '#5dd4c0'
      },
      {
        name: 'themeDark',
        hex: '#2fc5ac'
      },
      {
        name: 'themeDarkAlt',
        hex: '#13ba9e'
      },
      {
        name: 'themePrimary',
        hex: '#00b294'
      },
      {
        name: 'themeSecondary',
        hex: '#009d83'
      },
      {
        name: 'themeTertiary',
        hex: '#006b59'
      },
      {
        name: 'themeLight',
        hex: '#00362d'
      },
      {
        name: 'themeLighter',
        hex: '#001d18'
      },
      {
        name: 'themeLighterAlt',
        hex: '#000706'
      },
      {
        name: 'background',
        hex: '#252423'
      }
    ]
  },
  {
    name: 'Blue (Dark)',
    background: 'dark blue',
    colors: [
      {
        name: 'themeDarker',
        hex: '#8ac2ec'
      },
      {
        name: 'themeDark',
        hex: '#65aee6'
      },
      {
        name: 'themeDarkAlt',
        hex: '#4ba0e1'
      },
      {
        name: 'themePrimary',
        hex: '#3a96dd'
      },
      {
        name: 'themeSecondary',
        hex: '#3385c3'
      },
      {
        name: 'themeTertiary',
        hex: '#235a85'
      },
      {
        name: 'themeLight',
        hex: '#112d43'
      },
      {
        name: 'themeLighter',
        hex: '#091823'
      },
      {
        name: 'themeLighterAlt',
        hex: '#020609'
      },
      {
        name: 'background',
        hex: '#252423'
      }
    ]
  },
  {
    name: 'Purple (Dark)',
    background: 'dark',
    colors: [
      {
        name: 'themeDarker',
        hex: '#c6bbf2'
      },
      {
        name: 'themeDark',
        hex: '#b2a4ee'
      },
      {
        name: 'themeDarkAlt',
        hex: '#a594ea'
      },
      {
        name: 'themePrimary',
        hex: '#9c89e9'
      },
      {
        name: 'themeSecondary',
        hex: '#8978cc'
      },
      {
        name: 'themeTertiary',
        hex: '#5e528b'
      },
      {
        name: 'themeLight',
        hex: '#2f2946'
      },
      {
        name: 'themeLighter',
        hex: '#191625'
      },
      {
        name: 'themeLighterAlt',
        hex: '#060509'
      },
      {
        name: 'background',
        hex: '#252423'
      }
    ]
  },
  {
    name: 'Gray (Dark)',
    background: 'dark',
    colors: [
      {
        name: 'themeDarker',
        hex: '#d3d0cf'
      },
      {
        name: 'themeDark',
        hex: '#c3c0be'
      },
      {
        name: 'themeDarkAlt',
        hex: '#b8b5b3'
      },
      {
        name: 'themePrimary',
        hex: '#b1adab'
      },
      {
        name: 'themeSecondary',
        hex: '#9b9896'
      },
      {
        name: 'themeTertiary',
        hex: '#6a6766'
      },
      {
        name: 'themeLight',
        hex: '#353433'
      },
      {
        name: 'themeLighter',
        hex: '#1c1c1b'
      },
      {
        name: 'themeLighterAlt',
        hex: '#070707'
      },
      {
        name: 'background',
        hex: '#252423'
      }
    ]
  }
];

export const SharePointNeutrals: IColorPaletteTheme[] = [
  {
    background: 'light',
    colors: [
      {
        name: 'Black',
        hex: '#000000',
        code: {
          core: '$ms-color-black',
          react: 'NeutralColors.black'
        }
      },
      {
        name: 'Gray190',
        hex: '#201f1e',
        code: {
          core: '$ms-color-gray190',
          react: 'NeutralColors.gray190'
        }
      },
      {
        name: 'Gray160',
        hex: '#323130',
        code: {
          core: '$ms-color-gray160',
          react: 'NeutralColors.gray160'
        }
      },
      {
        name: 'Gray150',
        hex: '#3b3a39',
        code: {
          core: '$ms-color-gray150',
          react: 'NeutralColors.gray150'
        }
      },
      {
        name: 'Gray130',
        hex: '#605e5c',
        code: {
          core: '$ms-color-gray130',
          react: 'NeutralColors.gray130'
        }
      },
      {
        name: 'Gray90',
        hex: '#a19f9d',
        code: {
          core: '$ms-color-gray90',
          react: 'NeutralColors.gray90'
        }
      },
      {
        name: 'Gray60',
        hex: '#c8c6c4',
        code: {
          core: '$ms-color-gray60',
          react: 'NeutralColors.gray60'
        }
      },
      {
        name: 'Gray50',
        hex: '#d2d0ce',
        code: {
          core: '$ms-color-gray50',
          react: 'NeutralColors.gray50'
        }
      },
      {
        name: 'Gray40',
        hex: '#e1dfdd',
        code: {
          core: '$ms-color-gray40',
          react: 'NeutralColors.gray40'
        }
      },
      {
        name: 'Gray30',
        hex: '#edebe9',
        code: {
          core: '$ms-color-gray30',
          react: 'NeutralColors.gray30'
        }
      },
      {
        name: 'Gray20',
        hex: '#f3f2f1',
        code: {
          core: '$ms-color-gray20',
          react: 'NeutralColors.gray20'
        }
      },
      {
        name: 'Gray10',
        hex: '#faf9f8',
        code: {
          core: '$ms-color-gray10',
          react: 'NeutralColors.gray10'
        }
      },
      {
        name: 'White',
        hex: '#ffffff',
        code: {
          core: '$ms-color-white',
          react: 'NeutralColors.white'
        }
      }
    ]
  },
  {
    background: 'dark',
    colors: [
      {
        name: 'White',
        hex: '#ffffff',
        code: {
          core: '$ms-color-white',
          react: 'NeutralColors.white'
        }
      },
      {
        name: 'Gray10',
        hex: '#faf9f8',
        code: {
          core: '$ms-color-gray10',
          react: 'NeutralColors.gray10'
        }
      },
      {
        name: 'Gray20',
        hex: '#f3f2f1',
        code: {
          core: '$ms-color-gray20',
          react: 'NeutralColors.gray20'
        }
      },
      {
        name: 'Gray40',
        hex: '#e1dfdd',
        code: {
          core: '$ms-color-gray40',
          react: 'NeutralColors.gray40'
        }
      },
      {
        name: 'Gray70',
        hex: '#bebbb8',
        code: {
          core: '$ms-color-gray70',
          react: 'NeutralColors.gray70'
        }
      },
      {
        name: 'Gray90',
        hex: '#a19f9d',
        code: {
          core: '$ms-color-gray90',
          react: 'NeutralColors.gray90'
        }
      },
      {
        name: 'Gray100',
        hex: '#979593',
        code: {
          core: '$ms-color-gray100',
          react: 'NeutralColors.gray100'
        }
      },
      {
        name: 'Gray130',
        hex: '#605e5c',
        code: {
          core: '$ms-color-gray130',
          react: 'NeutralColors.gray130'
        }
      },
      {
        name: 'Gray140',
        hex: '#484644',
        code: {
          core: '$ms-color-gray140',
          react: 'NeutralColors.gray140'
        }
      },
      {
        name: 'Gray150',
        hex: '#3b3a39',
        code: {
          core: '$ms-color-gray150',
          react: 'NeutralColors.gray150'
        }
      },
      {
        name: 'Gray160',
        hex: '#323130',
        code: {
          core: '$ms-color-gray160',
          react: 'NeutralColors.gray160'
        }
      },
      {
        name: 'Gray170',
        hex: '#292827',
        code: {
          core: '$ms-color-gray170',
          react: 'NeutralColors.gray170'
        }
      },
      {
        name: 'Gray180',
        hex: '#252423',
        code: {
          core: '$ms-color-gray180',
          react: 'NeutralColors.gray180'
        }
      }
    ]
  },
  {
    background: 'dark blue',
    colors: [
      {
        name: 'White',
        hex: '#ffffff',
        code: {
          core: '$ms-color-white',
          react: 'NeutralColors.white'
        }
      },
      {
        name: 'Gray10',
        hex: '#faf9f8',
        code: {
          core: '$ms-color-gray10',
          react: 'NeutralColors.gray10'
        }
      },
      {
        name: 'Gray20',
        hex: '#f3f2f1',
        code: {
          core: '$ms-color-gray20',
          react: 'NeutralColors.gray20'
        }
      },
      {
        name: 'Gray40',
        hex: '#e1dfdd',
        code: {
          core: '$ms-color-gray40',
          react: 'NeutralColors.gray40'
        }
      },
      {
        name: 'Gray70',
        hex: '#bebbb8',
        code: {
          core: '$ms-color-gray70',
          react: 'NeutralColors.gray70'
        }
      },
      {
        name: 'Gray90',
        hex: '#a19f9d',
        code: {
          core: '$ms-color-gray90',
          react: 'NeutralColors.gray90'
        }
      },
      {
        hex: '#4f637a'
      },
      {
        hex: '#374a5f'
      },
      {
        hex: '#324459'
      },
      {
        hex: '#2b3d51'
      },
      {
        hex: '#223244'
      },
      {
        hex: '#1d2b3c'
      },
      {
        hex: '#182534'
      }
    ]
  }
];
